#include <iostream>

static int a[100000], k;

int xor_delilaca(int x){
    int S=0;
    for(int i=0;i<k;i++){
        if(x%a[i]==0){
            S=S^a[i];
        }
    }
    return S;
}

using namespace std;

int main()
{
    int n;
    cin>>n>>k;
    for(int i=0;i<k;i++){
        cin>>a[i];
    }
    for(int i=0;i<k;i++){
        cout<<xor_delilaca(a[i])<<" ";
    }

    return 0;
}